Fix for VMware Workstation 12.5.7 on Fedora 26
==============================================
*[Source](http://rglinuxtech.com/?p=1992)*

Fixing libraries
-----------------
```
# cp -r /usr/lib/vmware-installer/2.1.0/lib/lib/libexpat.so.0 /usr/lib/vmware/lib
# mv -i /usr/lib/vmware/lib/libz.so.1 /usr/lib/vmware/lib/libz.so.1.bak
# ln -s /usr/lib64/libz.so.1 /usr/lib/vmware/lib/libz.so.1
```

Compiling the modules
---------------------
Requires `kernel-devel` and `elfutils-libelf-devel`.
```
# mkdir /lib/modules/$(uname -r)/misc
# cd /usr/lib/vmware/modules/source
# tar xf vmmon.tar
# cd vmmon-only
# make
# cp vmmon.ko /lib/modules/$(uname -r)/misc
# cd ..
# tar xf vmnet.tar
# cd vmnet-only
# make
# cp vmnet.ko /lib/modules/$(uname -r)/misc
# cd ..
# rm -rf vmmon-only vmnet-only vmmon.o vmnet.o
# depmod -a
```

'njoy